// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class BermudaExercise extends Concept {
   private String id;
   private AdjustableOrRelativeDates relevantUnderlyingDate;
   private BusinessCenterTime earliestExerciseTime;
   private BusinessCenterTime expirationTime;
   private AdjustableOrRelativeDates bermudaExerciseDates;
   private BusinessCenterTime latestExerciseTime;
   private MultipleExercise multipleExercise;
   private ExerciseFeeSchedule exerciseFeeSchedule;
   public String getId() {
      return this.id;
   }
   public AdjustableOrRelativeDates getRelevantUnderlyingDate() {
      return this.relevantUnderlyingDate;
   }
   public BusinessCenterTime getEarliestExerciseTime() {
      return this.earliestExerciseTime;
   }
   public BusinessCenterTime getExpirationTime() {
      return this.expirationTime;
   }
   public AdjustableOrRelativeDates getBermudaExerciseDates() {
      return this.bermudaExerciseDates;
   }
   public BusinessCenterTime getLatestExerciseTime() {
      return this.latestExerciseTime;
   }
   public MultipleExercise getMultipleExercise() {
      return this.multipleExercise;
   }
   public ExerciseFeeSchedule getExerciseFeeSchedule() {
      return this.exerciseFeeSchedule;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setRelevantUnderlyingDate(AdjustableOrRelativeDates relevantUnderlyingDate) {
      this.relevantUnderlyingDate = relevantUnderlyingDate;
   }
   public void setEarliestExerciseTime(BusinessCenterTime earliestExerciseTime) {
      this.earliestExerciseTime = earliestExerciseTime;
   }
   public void setExpirationTime(BusinessCenterTime expirationTime) {
      this.expirationTime = expirationTime;
   }
   public void setBermudaExerciseDates(AdjustableOrRelativeDates bermudaExerciseDates) {
      this.bermudaExerciseDates = bermudaExerciseDates;
   }
   public void setLatestExerciseTime(BusinessCenterTime latestExerciseTime) {
      this.latestExerciseTime = latestExerciseTime;
   }
   public void setMultipleExercise(MultipleExercise multipleExercise) {
      this.multipleExercise = multipleExercise;
   }
   public void setExerciseFeeSchedule(ExerciseFeeSchedule exerciseFeeSchedule) {
      this.exerciseFeeSchedule = exerciseFeeSchedule;
   }
}
