// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class CancelableProvision extends Concept {
   private boolean followUpConfirmation;
   private AmericanExercise americanExercise;
   private BermudaExercise bermudaExercise;
   private EuropeanExercise europeanExercise;
   private ExerciseNotice exerciseNotice;
   private SimplePayment initialFee;
   private CancelableProvisionAdjustedDates cancelableProvisionAdjustedDates;
   private FinalCalculationPeriodDateAdjustment[] finalCalculationPeriodDateAdjustment;
   private String sellerPartyReference;
   private String buyerPartyReference;
   private String buyerAccountReference;
   private String sellerAccountReference;
   public boolean getFollowUpConfirmation() {
      return this.followUpConfirmation;
   }
   public AmericanExercise getAmericanExercise() {
      return this.americanExercise;
   }
   public BermudaExercise getBermudaExercise() {
      return this.bermudaExercise;
   }
   public EuropeanExercise getEuropeanExercise() {
      return this.europeanExercise;
   }
   public ExerciseNotice getExerciseNotice() {
      return this.exerciseNotice;
   }
   public SimplePayment getInitialFee() {
      return this.initialFee;
   }
   public CancelableProvisionAdjustedDates getCancelableProvisionAdjustedDates() {
      return this.cancelableProvisionAdjustedDates;
   }
   public FinalCalculationPeriodDateAdjustment[] getFinalCalculationPeriodDateAdjustment() {
      return this.finalCalculationPeriodDateAdjustment;
   }
   public String getSellerPartyReference() {
      return this.sellerPartyReference;
   }
   public String getBuyerPartyReference() {
      return this.buyerPartyReference;
   }
   public String getBuyerAccountReference() {
      return this.buyerAccountReference;
   }
   public String getSellerAccountReference() {
      return this.sellerAccountReference;
   }
   public void setFollowUpConfirmation(boolean followUpConfirmation) {
      this.followUpConfirmation = followUpConfirmation;
   }
   public void setAmericanExercise(AmericanExercise americanExercise) {
      this.americanExercise = americanExercise;
   }
   public void setBermudaExercise(BermudaExercise bermudaExercise) {
      this.bermudaExercise = bermudaExercise;
   }
   public void setEuropeanExercise(EuropeanExercise europeanExercise) {
      this.europeanExercise = europeanExercise;
   }
   public void setExerciseNotice(ExerciseNotice exerciseNotice) {
      this.exerciseNotice = exerciseNotice;
   }
   public void setInitialFee(SimplePayment initialFee) {
      this.initialFee = initialFee;
   }
   public void setCancelableProvisionAdjustedDates(CancelableProvisionAdjustedDates cancelableProvisionAdjustedDates) {
      this.cancelableProvisionAdjustedDates = cancelableProvisionAdjustedDates;
   }
   public void setFinalCalculationPeriodDateAdjustment(FinalCalculationPeriodDateAdjustment[] finalCalculationPeriodDateAdjustment) {
      this.finalCalculationPeriodDateAdjustment = finalCalculationPeriodDateAdjustment;
   }
   public void setSellerPartyReference(String sellerPartyReference) {
      this.sellerPartyReference = sellerPartyReference;
   }
   public void setBuyerPartyReference(String buyerPartyReference) {
      this.buyerPartyReference = buyerPartyReference;
   }
   public void setBuyerAccountReference(String buyerAccountReference) {
      this.buyerAccountReference = buyerAccountReference;
   }
   public void setSellerAccountReference(String sellerAccountReference) {
      this.sellerAccountReference = sellerAccountReference;
   }
}
