// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class CashSettlementTerms extends Concept {
   private String id;
   private Money quotationAmount;
   private Money minimumQuotationAmout;
   private boolean accruedInterest;
   private String settlementCurrency;
   private int cashSettlementBusinessDays;
   private ValuationDate valuationDate;
   private BusinessCenterTime valuationTime;
   private QuotationRateTypeEnum quotationMethod;
   private String dealer;
   private Money cashSettlementAmount;
   private boolean fixedSettlement;
   private ValuationMethodEnum valuationMethod;
   private double recoveryFactor;
   private String settlementCurrencyScheme;
   public String getId() {
      return this.id;
   }
   public Money getQuotationAmount() {
      return this.quotationAmount;
   }
   public Money getMinimumQuotationAmout() {
      return this.minimumQuotationAmout;
   }
   public boolean getAccruedInterest() {
      return this.accruedInterest;
   }
   public String getSettlementCurrency() {
      return this.settlementCurrency;
   }
   public int getCashSettlementBusinessDays() {
      return this.cashSettlementBusinessDays;
   }
   public ValuationDate getValuationDate() {
      return this.valuationDate;
   }
   public BusinessCenterTime getValuationTime() {
      return this.valuationTime;
   }
   public QuotationRateTypeEnum getQuotationMethod() {
      return this.quotationMethod;
   }
   public String getDealer() {
      return this.dealer;
   }
   public Money getCashSettlementAmount() {
      return this.cashSettlementAmount;
   }
   public boolean getFixedSettlement() {
      return this.fixedSettlement;
   }
   public ValuationMethodEnum getValuationMethod() {
      return this.valuationMethod;
   }
   public double getRecoveryFactor() {
      return this.recoveryFactor;
   }
   public String getSettlementCurrencyScheme() {
      return this.settlementCurrencyScheme;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setQuotationAmount(Money quotationAmount) {
      this.quotationAmount = quotationAmount;
   }
   public void setMinimumQuotationAmout(Money minimumQuotationAmout) {
      this.minimumQuotationAmout = minimumQuotationAmout;
   }
   public void setAccruedInterest(boolean accruedInterest) {
      this.accruedInterest = accruedInterest;
   }
   public void setSettlementCurrency(String settlementCurrency) {
      this.settlementCurrency = settlementCurrency;
   }
   public void setCashSettlementBusinessDays(int cashSettlementBusinessDays) {
      this.cashSettlementBusinessDays = cashSettlementBusinessDays;
   }
   public void setValuationDate(ValuationDate valuationDate) {
      this.valuationDate = valuationDate;
   }
   public void setValuationTime(BusinessCenterTime valuationTime) {
      this.valuationTime = valuationTime;
   }
   public void setQuotationMethod(QuotationRateTypeEnum quotationMethod) {
      this.quotationMethod = quotationMethod;
   }
   public void setDealer(String dealer) {
      this.dealer = dealer;
   }
   public void setCashSettlementAmount(Money cashSettlementAmount) {
      this.cashSettlementAmount = cashSettlementAmount;
   }
   public void setFixedSettlement(boolean fixedSettlement) {
      this.fixedSettlement = fixedSettlement;
   }
   public void setValuationMethod(ValuationMethodEnum valuationMethod) {
      this.valuationMethod = valuationMethod;
   }
   public void setRecoveryFactor(double recoveryFactor) {
      this.recoveryFactor = recoveryFactor;
   }
   public void setSettlementCurrencyScheme(String settlementCurrencyScheme) {
      this.settlementCurrencyScheme = settlementCurrencyScheme;
   }
}
