// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class Contract extends Concept {
   private String id;
   private StateEnum state;
   private Account[] account;
   private CalculationAgent calculationAgent;
   private java.util.Date clearedDate;
   private Collateral collateral;
   private PartyContractIdentifier[] contractIdentifier;
   private ContractualProduct contractualProduct;
   private Documentation documentation;
   private GoverningLawEnum governingLaw;
   private String governingLawScheme;
   private Payment[] otherPartyPayment;
   private Party[] party;
   private PartyContractInformation[] partyContractInformation;
   private PartyRole[] partyRole;
   private DateInstances tradeDate;
   private String rosettaKey;
   public String getId() {
      return this.id;
   }
   public StateEnum getState() {
      return this.state;
   }
   public Account[] getAccount() {
      return this.account;
   }
   public CalculationAgent getCalculationAgent() {
      return this.calculationAgent;
   }
   public java.util.Date getClearedDate() {
      return this.clearedDate;
   }
   public Collateral getCollateral() {
      return this.collateral;
   }
   public PartyContractIdentifier[] getContractIdentifier() {
      return this.contractIdentifier;
   }
   public ContractualProduct getContractualProduct() {
      return this.contractualProduct;
   }
   public Documentation getDocumentation() {
      return this.documentation;
   }
   public GoverningLawEnum getGoverningLaw() {
      return this.governingLaw;
   }
   public String getGoverningLawScheme() {
      return this.governingLawScheme;
   }
   public Payment[] getOtherPartyPayment() {
      return this.otherPartyPayment;
   }
   public Party[] getParty() {
      return this.party;
   }
   public PartyContractInformation[] getPartyContractInformation() {
      return this.partyContractInformation;
   }
   public PartyRole[] getPartyRole() {
      return this.partyRole;
   }
   public DateInstances getTradeDate() {
      return this.tradeDate;
   }
   public String getRosettaKey() {
      return this.rosettaKey;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setState(StateEnum state) {
      this.state = state;
   }
   public void setAccount(Account[] account) {
      this.account = account;
   }
   public void setCalculationAgent(CalculationAgent calculationAgent) {
      this.calculationAgent = calculationAgent;
   }
   public void setClearedDate(java.util.Date clearedDate) {
      this.clearedDate = clearedDate;
   }
   public void setCollateral(Collateral collateral) {
      this.collateral = collateral;
   }
   public void setContractIdentifier(PartyContractIdentifier[] contractIdentifier) {
      this.contractIdentifier = contractIdentifier;
   }
   public void setContractualProduct(ContractualProduct contractualProduct) {
      this.contractualProduct = contractualProduct;
   }
   public void setDocumentation(Documentation documentation) {
      this.documentation = documentation;
   }
   public void setGoverningLaw(GoverningLawEnum governingLaw) {
      this.governingLaw = governingLaw;
   }
   public void setGoverningLawScheme(String governingLawScheme) {
      this.governingLawScheme = governingLawScheme;
   }
   public void setOtherPartyPayment(Payment[] otherPartyPayment) {
      this.otherPartyPayment = otherPartyPayment;
   }
   public void setParty(Party[] party) {
      this.party = party;
   }
   public void setPartyContractInformation(PartyContractInformation[] partyContractInformation) {
      this.partyContractInformation = partyContractInformation;
   }
   public void setPartyRole(PartyRole[] partyRole) {
      this.partyRole = partyRole;
   }
   public void setTradeDate(DateInstances tradeDate) {
      this.tradeDate = tradeDate;
   }
   public void setRosettaKey(String rosettaKey) {
      this.rosettaKey = rosettaKey;
   }
}
