// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class Documentation extends Concept {
   private ContractualDefinitionsEnum[] contractualDefinitions;
   private ContractualTermsSupplement[] contractualTermsSupplement;
   private MasterAgreement masterAgreement;
   private BrokerConfirmation brokerConfirmation;
   private CreditSupportAgreement creditSupportAgreement;
   private OtherAgreement[] otherAgreement;
   private Resource[] attachment;
   private MasterConfirmation masterConfirmation;
   private ContractualMatrix[] contractualMatrix;
   private String contractualDefinitionsScheme;
   public ContractualDefinitionsEnum[] getContractualDefinitions() {
      return this.contractualDefinitions;
   }
   public ContractualTermsSupplement[] getContractualTermsSupplement() {
      return this.contractualTermsSupplement;
   }
   public MasterAgreement getMasterAgreement() {
      return this.masterAgreement;
   }
   public BrokerConfirmation getBrokerConfirmation() {
      return this.brokerConfirmation;
   }
   public CreditSupportAgreement getCreditSupportAgreement() {
      return this.creditSupportAgreement;
   }
   public OtherAgreement[] getOtherAgreement() {
      return this.otherAgreement;
   }
   public Resource[] getAttachment() {
      return this.attachment;
   }
   public MasterConfirmation getMasterConfirmation() {
      return this.masterConfirmation;
   }
   public ContractualMatrix[] getContractualMatrix() {
      return this.contractualMatrix;
   }
   public String getContractualDefinitionsScheme() {
      return this.contractualDefinitionsScheme;
   }
   public void setContractualDefinitions(ContractualDefinitionsEnum[] contractualDefinitions) {
      this.contractualDefinitions = contractualDefinitions;
   }
   public void setContractualTermsSupplement(ContractualTermsSupplement[] contractualTermsSupplement) {
      this.contractualTermsSupplement = contractualTermsSupplement;
   }
   public void setMasterAgreement(MasterAgreement masterAgreement) {
      this.masterAgreement = masterAgreement;
   }
   public void setBrokerConfirmation(BrokerConfirmation brokerConfirmation) {
      this.brokerConfirmation = brokerConfirmation;
   }
   public void setCreditSupportAgreement(CreditSupportAgreement creditSupportAgreement) {
      this.creditSupportAgreement = creditSupportAgreement;
   }
   public void setOtherAgreement(OtherAgreement[] otherAgreement) {
      this.otherAgreement = otherAgreement;
   }
   public void setAttachment(Resource[] attachment) {
      this.attachment = attachment;
   }
   public void setMasterConfirmation(MasterConfirmation masterConfirmation) {
      this.masterConfirmation = masterConfirmation;
   }
   public void setContractualMatrix(ContractualMatrix[] contractualMatrix) {
      this.contractualMatrix = contractualMatrix;
   }
   public void setContractualDefinitionsScheme(String contractualDefinitionsScheme) {
      this.contractualDefinitionsScheme = contractualDefinitionsScheme;
   }
}
