// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class InflationRateCalculationBuilder extends Concept {
   private String indexSource;
   private String mainPublication;
   private InterpolationMethodEnum interpolationMethod;
   private double initialIndexLevel;
   private boolean fallbackBondApplicable;
   private String indexSourceScheme;
   private String interpolationMethodScheme;
   private String mainPublicationScheme;
   private double initialRate;
   private AveragingMethodEnum averagingMethod;
   private NegativeInterestRateTreatmentEnum negativeInterestRateTreatment;
   private String id;
   private String floatingRateIndexScheme;
   private FloatingRateIndexEnum floatingRateIndex;
   private RateTreatmentEnum rateTreatment;
   public String getIndexSource() {
      return this.indexSource;
   }
   public String getMainPublication() {
      return this.mainPublication;
   }
   public InterpolationMethodEnum getInterpolationMethod() {
      return this.interpolationMethod;
   }
   public double getInitialIndexLevel() {
      return this.initialIndexLevel;
   }
   public boolean getFallbackBondApplicable() {
      return this.fallbackBondApplicable;
   }
   public String getIndexSourceScheme() {
      return this.indexSourceScheme;
   }
   public String getInterpolationMethodScheme() {
      return this.interpolationMethodScheme;
   }
   public String getMainPublicationScheme() {
      return this.mainPublicationScheme;
   }
   public double getInitialRate() {
      return this.initialRate;
   }
   public AveragingMethodEnum getAveragingMethod() {
      return this.averagingMethod;
   }
   public NegativeInterestRateTreatmentEnum getNegativeInterestRateTreatment() {
      return this.negativeInterestRateTreatment;
   }
   public String getId() {
      return this.id;
   }
   public String getFloatingRateIndexScheme() {
      return this.floatingRateIndexScheme;
   }
   public FloatingRateIndexEnum getFloatingRateIndex() {
      return this.floatingRateIndex;
   }
   public RateTreatmentEnum getRateTreatment() {
      return this.rateTreatment;
   }
   public void setIndexSource(String indexSource) {
      this.indexSource = indexSource;
   }
   public void setMainPublication(String mainPublication) {
      this.mainPublication = mainPublication;
   }
   public void setInterpolationMethod(InterpolationMethodEnum interpolationMethod) {
      this.interpolationMethod = interpolationMethod;
   }
   public void setInitialIndexLevel(double initialIndexLevel) {
      this.initialIndexLevel = initialIndexLevel;
   }
   public void setFallbackBondApplicable(boolean fallbackBondApplicable) {
      this.fallbackBondApplicable = fallbackBondApplicable;
   }
   public void setIndexSourceScheme(String indexSourceScheme) {
      this.indexSourceScheme = indexSourceScheme;
   }
   public void setInterpolationMethodScheme(String interpolationMethodScheme) {
      this.interpolationMethodScheme = interpolationMethodScheme;
   }
   public void setMainPublicationScheme(String mainPublicationScheme) {
      this.mainPublicationScheme = mainPublicationScheme;
   }
   public void setInitialRate(double initialRate) {
      this.initialRate = initialRate;
   }
   public void setAveragingMethod(AveragingMethodEnum averagingMethod) {
      this.averagingMethod = averagingMethod;
   }
   public void setNegativeInterestRateTreatment(NegativeInterestRateTreatmentEnum negativeInterestRateTreatment) {
      this.negativeInterestRateTreatment = negativeInterestRateTreatment;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setFloatingRateIndexScheme(String floatingRateIndexScheme) {
      this.floatingRateIndexScheme = floatingRateIndexScheme;
   }
   public void setFloatingRateIndex(FloatingRateIndexEnum floatingRateIndex) {
      this.floatingRateIndex = floatingRateIndex;
   }
   public void setRateTreatment(RateTreatmentEnum rateTreatment) {
      this.rateTreatment = rateTreatment;
   }
}
