// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class InterestRatePayout extends Concept {
   private String id;
   private String rosettaKeyValue;
   private String dayCountFractionScheme;
   private CrossCurrencyTerms crossCurrencyTerms;
   private Discounting discounting;
   private CashflowRepresentation cashflowRepresentation;
   private BondReference bondReference;
   private DayCountFractionEnum dayCountFraction;
   private CompoundingMethodEnum compoundingMethod;
   private ResetDates resetDates;
   private PayerReceiver payerReceiver;
   private CalculationPeriodDates calculationPeriodDates;
   private ContractualQuantity quantity;
   private InterestRate interestRate;
   private StubPeriod stubPeriod;
   private PaymentDates paymentDates;
   public String getId() {
      return this.id;
   }
   public String getRosettaKeyValue() {
      return this.rosettaKeyValue;
   }
   public String getDayCountFractionScheme() {
      return this.dayCountFractionScheme;
   }
   public CrossCurrencyTerms getCrossCurrencyTerms() {
      return this.crossCurrencyTerms;
   }
   public Discounting getDiscounting() {
      return this.discounting;
   }
   public CashflowRepresentation getCashflowRepresentation() {
      return this.cashflowRepresentation;
   }
   public BondReference getBondReference() {
      return this.bondReference;
   }
   public DayCountFractionEnum getDayCountFraction() {
      return this.dayCountFraction;
   }
   public CompoundingMethodEnum getCompoundingMethod() {
      return this.compoundingMethod;
   }
   public ResetDates getResetDates() {
      return this.resetDates;
   }
   public PayerReceiver getPayerReceiver() {
      return this.payerReceiver;
   }
   public CalculationPeriodDates getCalculationPeriodDates() {
      return this.calculationPeriodDates;
   }
   public ContractualQuantity getQuantity() {
      return this.quantity;
   }
   public InterestRate getInterestRate() {
      return this.interestRate;
   }
   public StubPeriod getStubPeriod() {
      return this.stubPeriod;
   }
   public PaymentDates getPaymentDates() {
      return this.paymentDates;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setRosettaKeyValue(String rosettaKeyValue) {
      this.rosettaKeyValue = rosettaKeyValue;
   }
   public void setDayCountFractionScheme(String dayCountFractionScheme) {
      this.dayCountFractionScheme = dayCountFractionScheme;
   }
   public void setCrossCurrencyTerms(CrossCurrencyTerms crossCurrencyTerms) {
      this.crossCurrencyTerms = crossCurrencyTerms;
   }
   public void setDiscounting(Discounting discounting) {
      this.discounting = discounting;
   }
   public void setCashflowRepresentation(CashflowRepresentation cashflowRepresentation) {
      this.cashflowRepresentation = cashflowRepresentation;
   }
   public void setBondReference(BondReference bondReference) {
      this.bondReference = bondReference;
   }
   public void setDayCountFraction(DayCountFractionEnum dayCountFraction) {
      this.dayCountFraction = dayCountFraction;
   }
   public void setCompoundingMethod(CompoundingMethodEnum compoundingMethod) {
      this.compoundingMethod = compoundingMethod;
   }
   public void setResetDates(ResetDates resetDates) {
      this.resetDates = resetDates;
   }
   public void setPayerReceiver(PayerReceiver payerReceiver) {
      this.payerReceiver = payerReceiver;
   }
   public void setCalculationPeriodDates(CalculationPeriodDates calculationPeriodDates) {
      this.calculationPeriodDates = calculationPeriodDates;
   }
   public void setQuantity(ContractualQuantity quantity) {
      this.quantity = quantity;
   }
   public void setInterestRate(InterestRate interestRate) {
      this.interestRate = interestRate;
   }
   public void setStubPeriod(StubPeriod stubPeriod) {
      this.stubPeriod = stubPeriod;
   }
   public void setPaymentDates(PaymentDates paymentDates) {
      this.paymentDates = paymentDates;
   }
}
