// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class OptionPayout extends Concept {
   private String id;
   private String rosettaKeyValue;
   private BuyerSeller buyerSeller;
   private OptionTypeEnum optionType;
   private OptionFeature feature;
   private OptionDenomination denomination;
   private OptionExercise exerciseTerms;
   private Product underlyer;
   private ContractualQuantity quantity;
   public String getId() {
      return this.id;
   }
   public String getRosettaKeyValue() {
      return this.rosettaKeyValue;
   }
   public BuyerSeller getBuyerSeller() {
      return this.buyerSeller;
   }
   public OptionTypeEnum getOptionType() {
      return this.optionType;
   }
   public OptionFeature getFeature() {
      return this.feature;
   }
   public OptionDenomination getDenomination() {
      return this.denomination;
   }
   public OptionExercise getExerciseTerms() {
      return this.exerciseTerms;
   }
   public Product getUnderlyer() {
      return this.underlyer;
   }
   public ContractualQuantity getQuantity() {
      return this.quantity;
   }
   public void setId(String id) {
      this.id = id;
   }
   public void setRosettaKeyValue(String rosettaKeyValue) {
      this.rosettaKeyValue = rosettaKeyValue;
   }
   public void setBuyerSeller(BuyerSeller buyerSeller) {
      this.buyerSeller = buyerSeller;
   }
   public void setOptionType(OptionTypeEnum optionType) {
      this.optionType = optionType;
   }
   public void setFeature(OptionFeature feature) {
      this.feature = feature;
   }
   public void setDenomination(OptionDenomination denomination) {
      this.denomination = denomination;
   }
   public void setExerciseTerms(OptionExercise exerciseTerms) {
      this.exerciseTerms = exerciseTerms;
   }
   public void setUnderlyer(Product underlyer) {
      this.underlyer = underlyer;
   }
   public void setQuantity(ContractualQuantity quantity) {
      this.quantity = quantity;
   }
}
