// this code is generated and should not be modified
package org.isda.cdm;

import org.hyperledger.composer.system.*;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class PrimitiveEvent extends Concept {
   private Payment[] payment;
   private ObservationPrimitive[] observation;
   private Transfer[] transfer;
   private NewTradePrimitive[] newTrade;
   private Inception[] inception;
   private QuantityChangePrimitive[] quantityChange;
   private AllocationPrimitive[] allocation;
   private TermsChangePrimitive termsChange;
   private ExercisePrimitive exercise;
   private ResetPrimitive[] reset;
   public Payment[] getPayment() {
      return this.payment;
   }
   public ObservationPrimitive[] getObservation() {
      return this.observation;
   }
   public Transfer[] getTransfer() {
      return this.transfer;
   }
   public NewTradePrimitive[] getNewTrade() {
      return this.newTrade;
   }
   public Inception[] getInception() {
      return this.inception;
   }
   public QuantityChangePrimitive[] getQuantityChange() {
      return this.quantityChange;
   }
   public AllocationPrimitive[] getAllocation() {
      return this.allocation;
   }
   public TermsChangePrimitive getTermsChange() {
      return this.termsChange;
   }
   public ExercisePrimitive getExercise() {
      return this.exercise;
   }
   public ResetPrimitive[] getReset() {
      return this.reset;
   }
   public void setPayment(Payment[] payment) {
      this.payment = payment;
   }
   public void setObservation(ObservationPrimitive[] observation) {
      this.observation = observation;
   }
   public void setTransfer(Transfer[] transfer) {
      this.transfer = transfer;
   }
   public void setNewTrade(NewTradePrimitive[] newTrade) {
      this.newTrade = newTrade;
   }
   public void setInception(Inception[] inception) {
      this.inception = inception;
   }
   public void setQuantityChange(QuantityChangePrimitive[] quantityChange) {
      this.quantityChange = quantityChange;
   }
   public void setAllocation(AllocationPrimitive[] allocation) {
      this.allocation = allocation;
   }
   public void setTermsChange(TermsChangePrimitive termsChange) {
      this.termsChange = termsChange;
   }
   public void setExercise(ExercisePrimitive exercise) {
      this.exercise = exercise;
   }
   public void setReset(ResetPrimitive[] reset) {
      this.reset = reset;
   }
}
